#ifndef _HINT_DATA_H_
#define _HINT_DATA_H_

#define MAX_CDB_SIZE 16
#define HINT_DATA_SIZE 256

#define HINT_SECTORS_IN_DATA  (256 / sizeof(uint32_t ))

#define HINT_SECTORS_IN_DATA  (256 / sizeof(uint32_t ))
typedef struct hint_payload_s{
   char data[HINT_DATA_SIZE];
   uint32_t version;
   uint32_t start_lba;
}hint_payload_t;

#define HINT_PAYLOAD_SIZE sizeof(hint_payload_t)

typedef struct hint_data_s {
  unsigned int lun;
  char cdb[MAX_CDB_SIZE];
  uint32_t hint_payload_size;
  char hint_payload[HINT_PAYLOAD_SIZE];
} hint_data_t;

#endif /* _HINT_DATA_H_ */
