#ifndef _SSD_H_
#define _SSD_H_

#include "hint/hint.h"
#include "ssd/scsi_layer.h"

typedef struct ssd_device_info_s {
  hint_device_info_t *hint_device;
  struct list_head hints_list;
  pthread_mutex_t hints_list_lock;
}ssd_device_info_t;

#define MAX_BLOCKS_IN_REQUEST 32
typedef struct ssd_request_s {
  struct scsi_cmd *scsi_cmd;
  cdb_t* cdbs;
  int cdbs_count;
  volatile int count;
} ssd_request_t;

#endif /* _SSD_H_ */
